Debian Bug report logs - #480825
at: long term mass bug filing for cross build support

version graph

Package: at; Maintainer for at is Ansgar Burchardt <ansgar@debian.org>; Source for at is src:at.

Reported by: Neil Williams <codehelp@debian.org>

Date: Mon, 12 May 2008 08:24:17 UTC

Severity: wishlist

Tags: patch

Found in version at/3.1.10.1

Fixed in version at/3.1.11-1

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#480825; Package at. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: at: long term mass bug filing for cross build support
Date: Mon, 12 May 2008 08:46:17 +0100
[Message part 1 (text/plain, inline)]
Package: at
Version: 3.1.10.1
Severity: wishlist
Tags: patch
User: codehelp@debian.org
Usertags: crossbuilt

In line with the other cross-building support bugs:
http://lists.debian.org/debian-devel/2007/11/msg00116.html

This patch is necessary to allow at to cross-build in Debian.

The change is based on recommendations in autotools-dev, so that --build
is always passed and --host is conditional. In addition, $(MAKE) is
passed the identity of the cross compiler, when used.

*** ../crossbuild.diff
--- at-3.1.10.1.debian/debian/rules 
+++ at-3.1.10.1.emdebian/debian/rules 
@@ -16,6 +16,13 @@
 #   Foundation Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 SHELL=/bin/bash
 
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS= --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+CROSSCC=CC=$(DEB_HOST_GNU_TYPE)-gcc
+else
+CROSS= --build=$(DEB_BUILD_GNU_TYPE)
+endif
+
 # The name and version of the source
 #
 source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
@@ -28,13 +35,13 @@
 
 build:
 	-test -f config.cache || PATH=/usr/sbin:$${PATH} ./configure --prefix=/usr \
-		--with-loadavg_mx=1.5 \
+		--with-loadavg_mx=1.5 $(CROSS) \
 		--with-jobdir=/var/spool/cron/atjobs \
 		--with-atspool=/var/spool/cron/atspool
 	sed 's,/usr/lib/sendmail,/usr/sbin/sendmail,g' \
 		< config.h > config.h.new
 	mv -f config.h.new config.h
-	$(MAKE)
+	$(MAKE) $(CROSSCC)
 	touch stamp-build
 
 clean: debclean
@@ -56,7 +63,7 @@
 #cd debian/tmp/usr/share/man/man5 && ln -s at_allow.5.gz at_deny.5.gz && rm -f at_deny.5
 
 binary-arch: debclean
-	test -f stamp-build || $(MAKE) -f debian/rules build
+	test -f stamp-build || $(MAKE) $(CROSSCC) -f debian/rules build
 	$(installbin) -d debian/tmp/DEBIAN
 	chown -R root:root debian/tmp
 	chmod -R g-ws debian/tmp


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages at depends on:
ii  exim4-daemon-light [mail-tran 4.69-5+b1  lightweight Exim MTA (v4) daemon
ii  libc6                         2.7-11     GNU C Library: Shared libraries
ii  libpam0g                      0.99.7.1-6 Pluggable Authentication Modules l
ii  lsb-base                      3.2-12     Linux Standard Base 3.2 init scrip

at recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Fri, 14 Aug 2009 22:42:15 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Fri, 14 Aug 2009 22:42:15 GMT) Full text and rfc822 format available.

Message #10 received at 480825-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 480825-close@bugs.debian.org
Subject: Bug#480825: fixed in at 3.1.11-1
Date: Fri, 14 Aug 2009 22:32:04 +0000
Source: at
Source-Version: 3.1.11-1

We believe that the bug you reported is fixed in the latest version of
at, which is due to be installed in the Debian FTP archive:

at_3.1.11-1.diff.gz
  to pool/main/a/at/at_3.1.11-1.diff.gz
at_3.1.11-1.dsc
  to pool/main/a/at/at_3.1.11-1.dsc
at_3.1.11-1_amd64.deb
  to pool/main/a/at/at_3.1.11-1_amd64.deb
at_3.1.11.orig.tar.gz
  to pool/main/a/at/at_3.1.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480825@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated at package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Aug 2009 20:24:03 +0200
Source: at
Binary: at
Architecture: source amd64
Version: 3.1.11-1
Distribution: unstable
Urgency: low
Maintainer: Ansgar Burchardt <ansgar@43-1.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 at         - Delayed job execution and batch processing
Closes: 292657 309773 372640 445489 468326 480825 484515 491131 515262 518456 524187 536294 538702 541013
Changes: 
 at (3.1.11-1) unstable; urgency=low
 .
   * New "upstream" release:
     + correct comment in atd.c (Closes: #372640)
     + rc: do not set -e (Closes: #445489)
     + panic.c: switch permissions before unlink (Closes: #518456, #538702)
     + at.c: add -t option (Closes: #515262)
     + at.c: exit successfully when -V is given (Closes: #292657)
     + fix some typos (Closes: #491131)
     + set version to 3.1.11 (Closes: #484515)
 .
   [ Cyril Brulebois ]
   * Mark old changelog entries using “Old Changelog”.
   * debian/rules:
     + Stop setting SHELL to bash.
     + Get rid of unneeded checkroot target.
     + Get rid of unneeded local variables.
     + Get rid of lines that are commented out.
     + Get rid of obsolete source and diff targets.
     + Get rid of unneeded dist and dsc targets.
     + Get rid of unneeded variables.
     + Use dh_install to install the config files.
     + Call some dh_* tools at the end of the build.
       - Call dh_md5sum (Closes: #309773)
     + Call dh_install{changelogs,doc} to install docs.
     + Use dh_installman/dh_compress to handle the manpages.
     + Call dh_clean.
     + Simplify calling configure.
     + Use a build-stamp target.
     + Use proper cleaning.
     + Use “sed -i”, that's shorter.
     + Get rid of the copyright, rules got rewritten.
     + No longer make distclean errors.
     + Remove additional removals, dh_clean will do that.
     + Set SENDMAIL= for ./configure instead of using sed
   * debian/control:
     + Build-Depend on debhelper (>= 7).
     + Update Maintainer/Uploaders according to ITA (Closes: #541013).
     + Add Vcs-{Browser,Git} pointing to collab-maint/at.git
   * Remove debian/conffiles, debhelper takes care of that.
 .
   [ Ansgar Burchardt ]
   * debian/rules:
     + use config.{guess,sub} from autotools-dev (Closes: #536294)
     + call configure as documented in autotools-dev (Closes: #480825)
     + call dh_strip
     + remove duplicate ChangeLog
   * debian/control:
     + do no longer build-dep on ssmtp | mail-transport-agent
       (Closes: #524187)
     + downgrade dependency on mail-transport-agent to recommends
       (Closes: #468326)
     + downgrade Priority to standard
     + bump Standards-Version to 3.8.2
   * debian/prerm: do not ignore errors
   * Copy updated debian/copyright from upstream
Checksums-Sha1: 
 c820ed2c69bff809643a87f698e0937b9696c8e9 1108 at_3.1.11-1.dsc
 710e62b2ea9efedd0a871a4f37c372197dff2c03 120341 at_3.1.11.orig.tar.gz
 0deeee50dfa33f73866af843f10eb20564efb072 9143 at_3.1.11-1.diff.gz
 ffd11a0b0d26bad98ca254e395ea301fe5133c93 48494 at_3.1.11-1_amd64.deb
Checksums-Sha256: 
 c0a5b0a3e72fe766080a3b76bedc5fb1dd244e9de1e6c5d56742122b3faa889d 1108 at_3.1.11-1.dsc
 8b797899109785f4dcd5fc5967bdd76359eba9017866644178fda07e0a2c2959 120341 at_3.1.11.orig.tar.gz
 eb1924954189e784c85d7551afc135529a5f41d7f82afee64120fc63aaa15975 9143 at_3.1.11-1.diff.gz
 d5f4b91813c914badeb72cfd0205938ab12afff41697d891aa130c8a57286ca1 48494 at_3.1.11-1_amd64.deb
Files: 
 62cd3ea458c488aeee82cfbfc1dba72e 1108 admin standard at_3.1.11-1.dsc
 d5832d9b770f41db78020b92f80966d3 120341 admin standard at_3.1.11.orig.tar.gz
 dda8001fa861aa514d10006422289e93 9143 admin standard at_3.1.11-1.diff.gz
 708a58f9880ef086bf6c7691ea7edaf1 48494 admin standard at_3.1.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqF4v0ACgkQeGfVPHR5Nd0k8gCffv+YbcrT/Q8GevrqdEs65sVH
ZbgAn1aY4OmcLSJIaF+FURkNc7QAyZIZ
=Ex9P
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Sep 2009 07:38:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:45:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.